package com.gic.cloud.data.hook.web;

import com.gic.commons.interceptor.RequestLimitInterface;
import com.gic.web.common.utils.SessionContextUtils;

import javax.servlet.http.HttpServletRequest;

public class RequestLimitInterfaceImpl implements RequestLimitInterface {
    @Override
    public String getEnterpriseId(HttpServletRequest httpServletRequest) {
        return SessionContextUtils.getLoginUserEnterpriseId();
    }

    @Override
    public String getUserId(HttpServletRequest httpServletRequest) {
        return SessionContextUtils.getLoginUser().getUserId();
    }
}
